load results/ocsvm/toy2.mat
load data/toy2.mat
U=std(data);
data(:,U==0)=[];
U=std(data);
data=data./U;

figure(1)
subplot(2,3,1)

hold on
scatter(data(:,1),data(:,2),20,'MarkerEdgeColor',[.2 .2 .7],'MarkerFaceColor',[.4 .4 .9],'LineWidth',1.5)
scatter(data(ground_truth==-1,1),data(ground_truth==-1,2),20,'MarkerEdgeColor',[.7 .2 .2],'MarkerFaceColor',[.9 .4 .4],'LineWidth',1.5)
plotc(w_nofb,[.2 .7 .2])
box on
set(gca, 'fontsize', plot_ftsize, 'linewidth', 1.5,'GridLineStyle','--')
xlabel('$x_1$','FontSize',plot_ftsize,'interpreter','latex')
ylabel('$x_2$','FontSize',plot_ftsize,'interpreter','latex')
title('No iterations','FontSize',plot_ftsize,'interpreter','latex')
legend({'Nominal data','Anomalies','Decision boundary'},'Fontsize',plot_ftsize,'interpreter','latex','location','northwest')
grid on

t=[0,1,10,20,40,80]; % number of iterations
for k=2:6
    subplot(2,3,k)
    hold on
    scatter(data(:,1),data(:,2),20,'MarkerEdgeColor',[.2 .2 .7],'MarkerFaceColor',[.4 .4 .9],'LineWidth',1.5)
    scatter(data(ground_truth==-1,1),data(ground_truth==-1,2),20,'MarkerEdgeColor',[.7 .2 .2],'MarkerFaceColor',[.9 .4 .4],'LineWidth',1.5)
    plotc(w_mem{t(k)},[.2 .7 .2])
    box on
    set(gca, 'fontsize', plot_ftsize, 'linewidth', 1.5,'GridLineStyle','--')
    xlabel('$x_1$','FontSize',plot_ftsize,'interpreter','latex')
    ylabel('$x_2$','FontSize',plot_ftsize,'interpreter','latex')
    if t(k)==1
        title(['After ',num2str(t(k)),' iteration'],'FontSize',plot_ftsize,'interpreter','latex')
    else
        title(['After ',num2str(t(k)),' iterations'],'FontSize',plot_ftsize,'interpreter','latex')
    end
    grid on
end
